summaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
authorRaymaekers Luca <luca@spacehb.net>2025-01-21 23:05:03 +0100
committerRaymaekers Luca <luca@spacehb.net>2025-01-21 23:05:03 +0100
commita5d21a49ccdc6141790085d4bd26b667b8d5618d (patch)
treec952cf834458da4938dfca837abe6323283d2bb8 /config
parentefcd2b7cdb03a354bd4311bac75953738ec34e4f (diff)
checkpoint
Diffstat (limited to 'config')
-rwxr-xr-xconfig/X/x11/xinitrc1
-rwxr-xr-xconfig/common/tmux/tmux.conf2
-rw-r--r--config/essentials/shell/aliases.sh1
-rw-r--r--config/essentials/shell/functions.sh17
-rw-r--r--config/essentials/starship.toml3
-rw-r--r--config/extra/kdeglobals19
6 files changed, 39 insertions, 4 deletions
diff --git a/config/X/x11/xinitrc b/config/X/x11/xinitrc
index 2ec027e..9de64f7 100755
--- a/config/X/x11/xinitrc
+++ b/config/X/x11/xinitrc
@@ -23,5 +23,6 @@ fi
export MENUCMD="dmenu"
export IMAGE="feh"
+export XDG_CURRENT_DESKTOP="dwm"
exec startdwm
diff --git a/config/common/tmux/tmux.conf b/config/common/tmux/tmux.conf
index 4af91fa..ae6d5b8 100755
--- a/config/common/tmux/tmux.conf
+++ b/config/common/tmux/tmux.conf
@@ -66,7 +66,7 @@ bind J command-prompt -1p "Send to window:" "join-pane -t \:%% ; select-window -
# Break pane without losing focus
bind b break-pane -t :
# Reset length and shit
-bind z select-layout main-vertical
+bind-key z resize-pane -Z
bind-key h select-pane -L
bind-key j select-pane -D
diff --git a/config/essentials/shell/aliases.sh b/config/essentials/shell/aliases.sh
index 10a72b1..70d65fc 100644
--- a/config/essentials/shell/aliases.sh
+++ b/config/essentials/shell/aliases.sh
@@ -112,7 +112,6 @@ alias pkb='pkgfile -b'
alias trr='transmission-remote debuc.com'
alias trls='transmission-remote debuc.com -t all -l'
alias tradd='transmission-remote debuc.com -a'
-alias trclipo='transmission-remote debuc.com -a "$(clipo)"'
alias grub-update='doas grub-mkconfig -o /boot/grub/grub.cfg'
diff --git a/config/essentials/shell/functions.sh b/config/essentials/shell/functions.sh
index f249c14..39c5e19 100644
--- a/config/essentials/shell/functions.sh
+++ b/config/essentials/shell/functions.sh
@@ -76,7 +76,6 @@ to_webm() { ffmpeg -y -i "$1" -vcodec libvpx -cpu-used -12 -deadline realtime "$
ngenable() { ln -sf /etc/nginx/sites-available/$1 /etc/nginx/sites-enabled/; }
remove_audio() { ffmpeg -i "$1" -cpu-used -$(nproc) -deadline realtime -c copy -an "${2:-out.mp4}"; }
nasg() { smbclient //192.168.178.24/Public/ -D ENFANTS/Luca/tmp -N -c "get $1"; }
-trll() { printf "%s\n" "$1" | trl 2>/dev/null; }
vidlen() { date -u -d @"$(ffprobe -show_entries format=duration -v quiet -of csv="p=0" -i "$1")" +'%T'; }
pcp() { readlink -f "$1" | tr -d '\n' | clipp; }
@@ -387,3 +386,19 @@ ssl_req() {
[ "$2" ] || return 2
openssl req -newkey rsa:4096 -x509 -sha256 -days 365 -nodes -out "$1" -keyout "$2"
}
+
+trclipo()
+{
+ magnet="$(clipo)"
+ if ! printf '%s\n' "$magnet" | grep '^magnet:' > /dev/null 2>&1
+ then
+ >&2 printf 'Not a magnet.\n'
+ return 1
+ fi
+
+ category="$(printf "music\nanime\nmovies\nshows\nother\nsoftware\ngames\nisos\nbooks\n" | fzf)"
+ [ "$category" ] || return 2
+
+ transmission-remote debuc.com -a -w "/downloads/$choice" "$magnet"
+
+}
diff --git a/config/essentials/starship.toml b/config/essentials/starship.toml
index abda192..ec9046b 100644
--- a/config/essentials/starship.toml
+++ b/config/essentials/starship.toml
@@ -46,7 +46,8 @@ disabled = true
disabled = true
[nodejs]
disabled = true
-
+[dotnet]
+disabled = true
# [custom.upds]
# command = 'cat ~/.cache/updates' # shows output of command
diff --git a/config/extra/kdeglobals b/config/extra/kdeglobals
index e1465b0..4e5a3c2 100644
--- a/config/extra/kdeglobals
+++ b/config/extra/kdeglobals
@@ -1,2 +1,21 @@
[$Version]
update_info=filepicker.upd:filepicker-remove-old-previews-entry
+
+[KFileDialog Settings]
+Allow Expansion=false
+Automatically select filename extension=true
+Breadcrumb Navigation=true
+Decoration position=2
+LocationCombo Completionmode=5
+PathCombo Completionmode=5
+Show Bookmarks=false
+Show Full Path=false
+Show Inline Previews=true
+Show Speedbar=true
+Show hidden files=false
+Sort by=Name
+Sort directories first=true
+Sort hidden files last=false
+Sort reversed=false
+Speedbar Width=148
+View Style=DetailTree